> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Revert catalog version

> Publish a new catalog version restoring the state of a previous published version (revert). Fails while a draft is pending.



## OpenAPI

````yaml post /v1/catalog/versions/{id}/revert
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/catalog/versions/{id}/revert:
    post:
      tags:
        - Catalog
      summary: Revert catalog version
      description: >-
        Publish a new catalog version restoring the state of a previous
        published version (revert). Fails while a draft is pending.
      operationId: revertCatalogVersion
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogVersion'
        '403':
          description: Catalog versioning not enabled.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: Version not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    CatalogVersion:
      type: object
      properties:
        id:
          type: string
          description: Catalog version ID.
          example: pcv_9x8v7u6t5s4r
        version:
          type: number
          description: Monotonic version number assigned to the catalog version.
          example: 12
        status:
          type: string
          enum:
            - draft
            - published
            - archived
          description: >-
            Catalog version status. Draft versions contain unpublished changes,
            published versions are live, and archived versions are discarded
            drafts.
          example: published
        name:
          type:
            - string
            - 'null'
          description: Optional display name for the catalog version.
          example: Q3 catalog
        description:
          type:
            - string
            - 'null'
          description: Optional internal description for the catalog version.
          example: Catalog published for Q3 pricing.
        base_version_id:
          type:
            - string
            - 'null'
          description: ID of the published catalog version this version was created from.
          example: pcv_1a2b3c4d5e6f
        revert_of_version_id:
          type:
            - string
            - 'null'
          description: >-
            ID of the published catalog version restored by this revert, or null
            when the version was not created by a revert.
          example: null
        source_file_name:
          type:
            - string
            - 'null'
          description: >-
            Name of the source import file that created this catalog version, or
            null when the version was not imported.
          example: null
        resource_count:
          type:
            - number
            - 'null'
          description: Number of resources tracked in the catalog snapshot.
          example: 42
        published_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            Catalog version publication date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2026-06-17T12:30:00Z'
        created_at:
          type: string
          format: date-time
          description: >-
            Catalog version creation date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2026-06-17T12:15:00Z'
        updated_at:
          type: string
          format: date-time
          description: >-
            Catalog version last update date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2026-06-17T12:30:00Z'
      required:
        - id
        - version
        - status
        - name
        - description
        - base_version_id
        - revert_of_version_id
        - source_file_name
        - resource_count
        - published_at
        - created_at
        - updated_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````